Subject: Federal
From: "Mike" <[email-masked]>
To: "Rhonda Ames" <[email-masked]>
Date: Wed, 19 Aug 2009 16:43:07 -0400

Rhonda,
Do you have the most current Federal we have printed?  It should have an "E3" in the right bottom corner.  I guess it does not natter too much since we are going to be doing 2010 but I did make quite a few changes from the "E2" version.  I could send one over if needed.  I do have the 2009 posters that we most recently made changes to.  I will be sending them over tomorrow.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]